﻿import {Component, ViewEncapsulation,ViewChild} from '@angular/core';
import {CommonModule} from "@angular/common";
import {EJComponents} from './ej/core';

declare let ej : any;

@Component({
    selector: 'ej-app',
    templateUrl: 'app/app.component.html',
   
})

export class AppComponent {
    public groupedColumns: Array;
    public filterType;
    public pageSettings;
   
    public toolbarItems = { showToolbar: true, toolbarItems: [ej.Grid.ToolBarItems.Add, ej.Grid.ToolBarItems.Edit, ej.Grid.ToolBarItems.Delete, ej.Grid.ToolBarItems.Update, ej.Grid.ToolBarItems.Cancel] };
    public editSettings = { allowEditing: true, allowAdding: true, allowDeleting: true, editMode: "dialog" };

    
    public gridData = window.gridData;
    onComplete(event: any) {
        if (event.requestType == "beginedit") {
            $("#ejControl_0EmployeeID").ejDropDownList({ dataSource: event.model.columns[2].dataSource, fields: { text: "EmployeeID", value: "EmployeeID" } }).ejDropDownList("setSelectedValue", event.row.children().eq(2).text());
        }
    }
  public foreignData = [{ EmployeeID: 1 }, { EmployeeID: 2 }, { EmployeeID: 3 }, { EmployeeID: 4 }, { EmployeeID: 5 }, { EmployeeID: 6 }, { EmployeeID: 7 }, { EmployeeID: 8 }, { EmployeeID: 9 }];
   
@ViewChild('grid') Grid: EJComponents<any, any>;
ngAfterViewInit(){

    this.Grid.widget.selectRows(2)// call the selectrows API for selecting the rows
}

}